// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.6.1
// source: routeguide/institutions.proto

package routeguide

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Pointt struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Latitude  int32 `protobuf:"varint,1,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude int32 `protobuf:"varint,2,opt,name=longitude,proto3" json:"longitude,omitempty"`
}

func (x *Pointt) Reset() {
	*x = Pointt{}
	if protoimpl.UnsafeEnabled {
		mi := &file_routeguide_institutions_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Pointt) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Pointt) ProtoMessage() {}

func (x *Pointt) ProtoReflect() protoreflect.Message {
	mi := &file_routeguide_institutions_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Pointt.ProtoReflect.Descriptor instead.
func (*Pointt) Descriptor() ([]byte, []int) {
	return file_routeguide_institutions_proto_rawDescGZIP(), []int{0}
}

func (x *Pointt) GetLatitude() int32 {
	if x != nil {
		return x.Latitude
	}
	return 0
}

func (x *Pointt) GetLongitude() int32 {
	if x != nil {
		return x.Longitude
	}
	return 0
}

type Rectanglee struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Lo *Pointt `protobuf:"bytes,1,opt,name=lo,proto3" json:"lo,omitempty"`
	Hi *Pointt `protobuf:"bytes,2,opt,name=hi,proto3" json:"hi,omitempty"`
}

func (x *Rectanglee) Reset() {
	*x = Rectanglee{}
	if protoimpl.UnsafeEnabled {
		mi := &file_routeguide_institutions_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Rectanglee) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Rectanglee) ProtoMessage() {}

func (x *Rectanglee) ProtoReflect() protoreflect.Message {
	mi := &file_routeguide_institutions_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Rectanglee.ProtoReflect.Descriptor instead.
func (*Rectanglee) Descriptor() ([]byte, []int) {
	return file_routeguide_institutions_proto_rawDescGZIP(), []int{1}
}

func (x *Rectanglee) GetLo() *Pointt {
	if x != nil {
		return x.Lo
	}
	return nil
}

func (x *Rectanglee) GetHi() *Pointt {
	if x != nil {
		return x.Hi
	}
	return nil
}

type Featuree struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name     string  `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Location *Pointt `protobuf:"bytes,2,opt,name=location,proto3" json:"location,omitempty"`
}

func (x *Featuree) Reset() {
	*x = Featuree{}
	if protoimpl.UnsafeEnabled {
		mi := &file_routeguide_institutions_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Featuree) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Featuree) ProtoMessage() {}

func (x *Featuree) ProtoReflect() protoreflect.Message {
	mi := &file_routeguide_institutions_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Featuree.ProtoReflect.Descriptor instead.
func (*Featuree) Descriptor() ([]byte, []int) {
	return file_routeguide_institutions_proto_rawDescGZIP(), []int{2}
}

func (x *Featuree) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Featuree) GetLocation() *Pointt {
	if x != nil {
		return x.Location
	}
	return nil
}

type RouteNotee struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Location *Pointt `protobuf:"bytes,1,opt,name=location,proto3" json:"location,omitempty"`
	Message  string  `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *RouteNotee) Reset() {
	*x = RouteNotee{}
	if protoimpl.UnsafeEnabled {
		mi := &file_routeguide_institutions_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouteNotee) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouteNotee) ProtoMessage() {}

func (x *RouteNotee) ProtoReflect() protoreflect.Message {
	mi := &file_routeguide_institutions_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouteNotee.ProtoReflect.Descriptor instead.
func (*RouteNotee) Descriptor() ([]byte, []int) {
	return file_routeguide_institutions_proto_rawDescGZIP(), []int{3}
}

func (x *RouteNotee) GetLocation() *Pointt {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *RouteNotee) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type RouteSummaryy struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PointtCount   int32 `protobuf:"varint,1,opt,name=pointt_count,json=pointtCount,proto3" json:"pointt_count,omitempty"`
	FeatureeCount int32 `protobuf:"varint,2,opt,name=featuree_count,json=featureeCount,proto3" json:"featuree_count,omitempty"`
	Distance      int32 `protobuf:"varint,3,opt,name=distance,proto3" json:"distance,omitempty"`
	ElapsedTime   int32 `protobuf:"varint,4,opt,name=elapsed_time,json=elapsedTime,proto3" json:"elapsed_time,omitempty"`
}

func (x *RouteSummaryy) Reset() {
	*x = RouteSummaryy{}
	if protoimpl.UnsafeEnabled {
		mi := &file_routeguide_institutions_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RouteSummaryy) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RouteSummaryy) ProtoMessage() {}

func (x *RouteSummaryy) ProtoReflect() protoreflect.Message {
	mi := &file_routeguide_institutions_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RouteSummaryy.ProtoReflect.Descriptor instead.
func (*RouteSummaryy) Descriptor() ([]byte, []int) {
	return file_routeguide_institutions_proto_rawDescGZIP(), []int{4}
}

func (x *RouteSummaryy) GetPointtCount() int32 {
	if x != nil {
		return x.PointtCount
	}
	return 0
}

func (x *RouteSummaryy) GetFeatureeCount() int32 {
	if x != nil {
		return x.FeatureeCount
	}
	return 0
}

func (x *RouteSummaryy) GetDistance() int32 {
	if x != nil {
		return x.Distance
	}
	return 0
}

func (x *RouteSummaryy) GetElapsedTime() int32 {
	if x != nil {
		return x.ElapsedTime
	}
	return 0
}

var File_routeguide_institutions_proto protoreflect.FileDescriptor

var file_routeguide_institutions_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2f, 0x69, 0x6e, 0x73,
	0x74, 0x69, 0x74, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0a, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x22, 0x42, 0x0a, 0x06, 0x50,
	0x6f, 0x69, 0x6e, 0x74, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x74, 0x69, 0x74, 0x75, 0x64,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x6c, 0x61, 0x74, 0x69, 0x74, 0x75, 0x64,
	0x65, 0x12, 0x1c, 0x0a, 0x09, 0x6c, 0x6f, 0x6e, 0x67, 0x69, 0x74, 0x75, 0x64, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x6c, 0x6f, 0x6e, 0x67, 0x69, 0x74, 0x75, 0x64, 0x65, 0x22,
	0x54, 0x0a, 0x0a, 0x52, 0x65, 0x63, 0x74, 0x61, 0x6e, 0x67, 0x6c, 0x65, 0x65, 0x12, 0x22, 0x0a,
	0x02, 0x6c, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x72, 0x6f, 0x75, 0x74,
	0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x52, 0x02, 0x6c,
	0x6f, 0x12, 0x22, 0x0a, 0x02, 0x68, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74,
	0x74, 0x52, 0x02, 0x68, 0x69, 0x22, 0x4e, 0x0a, 0x08, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2e, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67,
	0x75, 0x69, 0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x52, 0x08, 0x6c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x56, 0x0a, 0x0a, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x4e, 0x6f,
	0x74, 0x65, 0x65, 0x12, 0x2e, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69,
	0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x98, 0x01,
	0x0a, 0x0d, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x79, 0x12,
	0x21, 0x0a, 0x0c, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x12, 0x25, 0x0a, 0x0e, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x65, 0x5f, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x66, 0x65, 0x61, 0x74,
	0x75, 0x72, 0x65, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x64, 0x69, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x64, 0x69, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x65, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64,
	0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x65, 0x6c, 0x61,
	0x70, 0x73, 0x65, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x32, 0x90, 0x02, 0x0a, 0x0b, 0x49, 0x6e, 0x73,
	0x74, 0x69, 0x74, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x39, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x46,
	0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x65, 0x12, 0x12, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67,
	0x75, 0x69, 0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x1a, 0x14, 0x2e, 0x72, 0x6f,
	0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65,
	0x65, 0x22, 0x00, 0x12, 0x41, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x65, 0x73, 0x12, 0x16, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64,
	0x65, 0x2e, 0x52, 0x65, 0x63, 0x74, 0x61, 0x6e, 0x67, 0x6c, 0x65, 0x65, 0x1a, 0x14, 0x2e, 0x72,
	0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72,
	0x65, 0x65, 0x22, 0x00, 0x30, 0x01, 0x12, 0x40, 0x0a, 0x0b, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x52, 0x6f, 0x75, 0x74, 0x65, 0x12, 0x12, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69,
	0x64, 0x65, 0x2e, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x74, 0x1a, 0x19, 0x2e, 0x72, 0x6f, 0x75, 0x74,
	0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x53, 0x75, 0x6d, 0x6d,
	0x61, 0x72, 0x79, 0x79, 0x22, 0x00, 0x28, 0x01, 0x12, 0x41, 0x0a, 0x09, 0x52, 0x6f, 0x75, 0x74,
	0x65, 0x43, 0x68, 0x61, 0x74, 0x12, 0x16, 0x2e, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69,
	0x64, 0x65, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x4e, 0x6f, 0x74, 0x65, 0x65, 0x1a, 0x16, 0x2e,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65,
	0x4e, 0x6f, 0x74, 0x65, 0x65, 0x22, 0x00, 0x28, 0x01, 0x30, 0x01, 0x42, 0x2a, 0x5a, 0x28, 0x67,
	0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x4b, 0x65, 0x6e, 0x67, 0x61, 0x74,
	0x68, 0x75, 0x61, 0x2f, 0x74, 0x75, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x72, 0x6f, 0x75,
	0x74, 0x65, 0x67, 0x75, 0x69, 0x64, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_routeguide_institutions_proto_rawDescOnce sync.Once
	file_routeguide_institutions_proto_rawDescData = file_routeguide_institutions_proto_rawDesc
)

func file_routeguide_institutions_proto_rawDescGZIP() []byte {
	file_routeguide_institutions_proto_rawDescOnce.Do(func() {
		file_routeguide_institutions_proto_rawDescData = protoimpl.X.CompressGZIP(file_routeguide_institutions_proto_rawDescData)
	})
	return file_routeguide_institutions_proto_rawDescData
}

var file_routeguide_institutions_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_routeguide_institutions_proto_goTypes = []interface{}{
	(*Pointt)(nil),        // 0: routeguide.Pointt
	(*Rectanglee)(nil),    // 1: routeguide.Rectanglee
	(*Featuree)(nil),      // 2: routeguide.Featuree
	(*RouteNotee)(nil),    // 3: routeguide.RouteNotee
	(*RouteSummaryy)(nil), // 4: routeguide.RouteSummaryy
}
var file_routeguide_institutions_proto_depIdxs = []int32{
	0, // 0: routeguide.Rectanglee.lo:type_name -> routeguide.Pointt
	0, // 1: routeguide.Rectanglee.hi:type_name -> routeguide.Pointt
	0, // 2: routeguide.Featuree.location:type_name -> routeguide.Pointt
	0, // 3: routeguide.RouteNotee.location:type_name -> routeguide.Pointt
	0, // 4: routeguide.Institution.GetFeaturee:input_type -> routeguide.Pointt
	1, // 5: routeguide.Institution.ListFeaturees:input_type -> routeguide.Rectanglee
	0, // 6: routeguide.Institution.RecordRoute:input_type -> routeguide.Pointt
	3, // 7: routeguide.Institution.RouteChat:input_type -> routeguide.RouteNotee
	2, // 8: routeguide.Institution.GetFeaturee:output_type -> routeguide.Featuree
	2, // 9: routeguide.Institution.ListFeaturees:output_type -> routeguide.Featuree
	4, // 10: routeguide.Institution.RecordRoute:output_type -> routeguide.RouteSummaryy
	3, // 11: routeguide.Institution.RouteChat:output_type -> routeguide.RouteNotee
	8, // [8:12] is the sub-list for method output_type
	4, // [4:8] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_routeguide_institutions_proto_init() }
func file_routeguide_institutions_proto_init() {
	if File_routeguide_institutions_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_routeguide_institutions_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Pointt); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_routeguide_institutions_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Rectanglee); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_routeguide_institutions_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Featuree); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_routeguide_institutions_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouteNotee); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_routeguide_institutions_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RouteSummaryy); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_routeguide_institutions_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_routeguide_institutions_proto_goTypes,
		DependencyIndexes: file_routeguide_institutions_proto_depIdxs,
		MessageInfos:      file_routeguide_institutions_proto_msgTypes,
	}.Build()
	File_routeguide_institutions_proto = out.File
	file_routeguide_institutions_proto_rawDesc = nil
	file_routeguide_institutions_proto_goTypes = nil
	file_routeguide_institutions_proto_depIdxs = nil
}
